parameters:
  locale: 'tr'
  mailer.sender_email: 'info@yondy.ch'
  mailer.sender_name: 'Yondy'
  #site_dir: '%kernel.project_dir%/'
  site_dir: "http://www.yondy.ch/"
  public_dir: "%kernel.project_dir%/public/"
  uploads_dir: '%kernel.project_dir%/public/uploads/'
  uploads_url: 'http://www.yondy.ch/public/uploads/'
  upload_dir: "media"
  product_image_dir: "%upload_dir%/products/"
  product2_pdf_dir: "%upload_dir%/product2/"
  kurse_logo_dir: "%upload_dir%/kurse/logo/"
  kurse_image_dir: "%upload_dir%/kurse/"
  banner_image_dir: "%upload_dir%/banners/"
  bank_logo_dir: "%upload_dir%/banks/"
  site_logo_dir: "%upload_dir%/logo/"
  brand_logo_dir: "%upload_dir%/brands/"
  contrat_dir: "%upload_dir%/contrats/"
  barcode_dir: "%upload_dir%/barcode/"
  pdf_bestell_dir: "%upload_dir%/pdf"
  image_extensions: ["jpg", "JPG", "JPEG", "jpeg", "png","gif","webp","pdf"]
  video_extensions: ["mp4","m4v","mov","mpeg"]
  deneme_dir: '%kernel.project_dir%\public'
  api_uploads_dir: "http://www.yondy.ch/public/media"
  bestellungen_qr_dir: "%upload_dir%/bestellungen/"

services:
  App\Service\Php\Core\SystemSettings:
    public: true
    arguments:
      $container: '@service_container'
      $entityManager: '@doctrine.orm.entity_manager'
      $requestStack: '@request_stack'
      $security: '@security.helper'
  _defaults:
    autowire: true
    autoconfigure: true
    public: true
    bind:
      $senderEmail: '%mailer.sender_email%'
      $senderName: '%mailer.sender_name%'
  App\Service\Php\Core\MailManager:
    arguments:
      $container: '@service_container'
      $mailer: '@mailer.mailer'

  Symfony\Component\DependencyInjection\ContainerInterface: '@service_container'


  App\:
    resource: '../src/'
    exclude:
      - '../src/DependencyInjection/'
      - '../src/Entity/'
      - '../src/Kernel.php'
      - '../src/Tests/'
      - '../src/Helper/'
      - '../src/Datatables/'

  App\Helper\:
    resource: '../src/Helper/*'
    lazy: true

  App\Service\Helper:
    arguments:
      - '@Doctrine\ORM\EntityManagerInterface'
      - '@Symfony\Component\HttpFoundation\RequestStack'

  App\EventListener\DatabaseActivitySubscriber:
    arguments:
      - '@Symfony\Component\Security\Core\Authentication\Token\Storage\TokenStorageInterface'
    tags:
      - name: 'doctrine.event_subscriber'
        priority: 500
        connection: 'default'

  App\EventListener\LoginSubscriber:
    arguments:
      - '@Doctrine\ORM\EntityManagerInterface'
      - '@Symfony\Component\HttpFoundation\RequestStack'
      - '@App\Service\Helper'
      - '@security.token_storage'
